Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 657:c4143facbfcb
prev656:031d23fa6d0b
next658:f5926310bfbe
author nkeynes
date Wed Apr 16 10:12:12 2008 +0000 (12 years ago)
permissions -rw-r--r--
last change Add support for the pulseaudio sound system
file annotate diff log raw
1.1 --- a/configure Wed Apr 02 01:46:58 2008 +0000
1.2 +++ b/configure Wed Apr 16 10:12:12 2008 +0000
1.3 @@ -715,6 +715,10 @@
1.4 BUILD_SH4X86_FALSE
1.5 BUILD_X86_64_TRUE
1.6 BUILD_X86_64_FALSE
1.7 +PULSE_CFLAGS
1.8 +PULSE_LIBS
1.9 +AUDIO_PULSE_TRUE
1.10 +AUDIO_PULSE_FALSE
1.11 ESOUND_CFLAGS
1.12 ESOUND_LIBS
1.13 AUDIO_ESOUND_TRUE
1.14 @@ -771,6 +775,8 @@
1.15 LIBPNG_LIBS
1.16 GTK_CFLAGS
1.17 GTK_LIBS
1.18 +PULSE_CFLAGS
1.19 +PULSE_LIBS
1.20 ESOUND_CFLAGS
1.21 ESOUND_LIBS
1.22 ALSA_CFLAGS
1.23 @@ -1382,6 +1388,9 @@
1.24 LIBPNG_LIBS linker flags for LIBPNG, overriding pkg-config
1.25 GTK_CFLAGS C compiler flags for GTK, overriding pkg-config
1.26 GTK_LIBS linker flags for GTK, overriding pkg-config
1.27 + PULSE_CFLAGS
1.28 + C compiler flags for PULSE, overriding pkg-config
1.29 + PULSE_LIBS linker flags for PULSE, overriding pkg-config
1.30 ESOUND_CFLAGS
1.31 C compiler flags for ESOUND, overriding pkg-config
1.32 ESOUND_LIBS linker flags for ESOUND, overriding pkg-config
1.33 @@ -6422,6 +6431,94 @@
1.34
1.35
1.36 pkg_failed=no
1.37 +{ echo "$as_me:$LINENO: checking for PULSE" >&5
1.38 +echo $ECHO_N "checking for PULSE... $ECHO_C" >&6; }
1.39 +
1.40 +if test -n "$PKG_CONFIG"; then
1.41 + if test -n "$PULSE_CFLAGS"; then
1.42 + pkg_cv_PULSE_CFLAGS="$PULSE_CFLAGS"
1.43 + else
1.44 + if test -n "$PKG_CONFIG" && \
1.45 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpulse-simple\"") >&5
1.46 + ($PKG_CONFIG --exists --print-errors "libpulse-simple") 2>&5
1.47 + ac_status=$?
1.48 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.49 + (exit $ac_status); }; then
1.50 + pkg_cv_PULSE_CFLAGS=`$PKG_CONFIG --cflags "libpulse-simple" 2>/dev/null`
1.51 +else
1.52 + pkg_failed=yes
1.53 +fi
1.54 + fi
1.55 +else
1.56 + pkg_failed=untried
1.57 +fi
1.58 +if test -n "$PKG_CONFIG"; then
1.59 + if test -n "$PULSE_LIBS"; then
1.60 + pkg_cv_PULSE_LIBS="$PULSE_LIBS"
1.61 + else
1.62 + if test -n "$PKG_CONFIG" && \
1.63 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpulse-simple\"") >&5
1.64 + ($PKG_CONFIG --exists --print-errors "libpulse-simple") 2>&5
1.65 + ac_status=$?
1.66 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.67 + (exit $ac_status); }; then
1.68 + pkg_cv_PULSE_LIBS=`$PKG_CONFIG --libs "libpulse-simple" 2>/dev/null`
1.69 +else
1.70 + pkg_failed=yes
1.71 +fi
1.72 + fi
1.73 +else
1.74 + pkg_failed=untried
1.75 +fi
1.76 +
1.77 +
1.78 +
1.79 +if test $pkg_failed = yes; then
1.80 +
1.81 +if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
1.82 + _pkg_short_errors_supported=yes
1.83 +else
1.84 + _pkg_short_errors_supported=no
1.85 +fi
1.86 + if test $_pkg_short_errors_supported = yes; then
1.87 + PULSE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libpulse-simple"`
1.88 + else
1.89 + PULSE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libpulse-simple"`
1.90 + fi
1.91 + # Put the nasty error message in config.log where it belongs
1.92 + echo "$PULSE_PKG_ERRORS" >&5
1.93 +
1.94 + { echo "$as_me:$LINENO: result: no" >&5
1.95 +echo "${ECHO_T}no" >&6; }
1.96 + true
1.97 +elif test $pkg_failed = untried; then
1.98 + true
1.99 +else
1.100 + PULSE_CFLAGS=$pkg_cv_PULSE_CFLAGS
1.101 + PULSE_LIBS=$pkg_cv_PULSE_LIBS
1.102 + { echo "$as_me:$LINENO: result: yes" >&5
1.103 +echo "${ECHO_T}yes" >&6; }
1.104 +
1.105 + HAVE_PULSE='yes'
1.106 +
1.107 +cat >>confdefs.h <<\_ACEOF
1.108 +#define HAVE_PULSE 1
1.109 +_ACEOF
1.110 +
1.111 +fi
1.112 +
1.113 +
1.114 +if test "$HAVE_PULSE" = 'yes' ; then
1.115 + AUDIO_PULSE_TRUE=
1.116 + AUDIO_PULSE_FALSE='#'
1.117 +else
1.118 + AUDIO_PULSE_TRUE='#'
1.119 + AUDIO_PULSE_FALSE=
1.120 +fi
1.121 +
1.122 +
1.123 +
1.124 +pkg_failed=no
1.125 { echo "$as_me:$LINENO: checking for ESOUND" >&5
1.126 echo $ECHO_N "checking for ESOUND... $ECHO_C" >&6; }
1.127
1.128 @@ -6481,9 +6578,9 @@
1.129
1.130 { echo "$as_me:$LINENO: result: no" >&5
1.131 echo "${ECHO_T}no" >&6; }
1.132 - echo "Warning: esound not found - building without esd audio support"
1.133 + true
1.134 elif test $pkg_failed = untried; then
1.135 - echo "Warning: esound not found - building without esd audio support"
1.136 + true
1.137 else
1.138 ESOUND_CFLAGS=$pkg_cv_ESOUND_CFLAGS
1.139 ESOUND_LIBS=$pkg_cv_ESOUND_LIBS
1.140 @@ -6569,9 +6666,9 @@
1.141
1.142 { echo "$as_me:$LINENO: result: no" >&5
1.143 echo "${ECHO_T}no" >&6; }
1.144 - echo "Warning: alsa not found - building without alsa audio support"
1.145 + true
1.146 elif test $pkg_failed = untried; then
1.147 - echo "Warning: alsa not found - building without alsa audio support"
1.148 + true
1.149 else
1.150 ALSA_CFLAGS=$pkg_cv_ALSA_CFLAGS
1.151 ALSA_LIBS=$pkg_cv_ALSA_LIBS
1.152 @@ -6596,6 +6693,10 @@
1.153 fi
1.154
1.155
1.156 +if test "x$HAVE_ESOUND" = "x" -a "x$HAVE_ALSA" = "x" -a "x$HAVE_PULSE" = "x"; then
1.157 + echo "Warning: Building without audio support"
1.158 +fi
1.159 +
1.160 if test "${ac_cv_header_linux_cdrom_h+set}" = set; then
1.161 { echo "$as_me:$LINENO: checking for linux/cdrom.h" >&5
1.162 echo $ECHO_N "checking for linux/cdrom.h... $ECHO_C" >&6; }
1.163 @@ -6740,6 +6841,7 @@
1.164 fi
1.165
1.166
1.167 +
1.168 if test "${ac_cv_header_linux_joystick_h+set}" = set; then
1.169 { echo "$as_me:$LINENO: checking for linux/joystick.h" >&5
1.170 echo $ECHO_N "checking for linux/joystick.h... $ECHO_C" >&6; }
1.171 @@ -8851,6 +8953,13 @@
1.172 Usually this means the macro was only invoked conditionally." >&2;}
1.173 { (exit 1); exit 1; }; }
1.174 fi
1.175 +if test -z "${AUDIO_PULSE_TRUE}" && test -z "${AUDIO_PULSE_FALSE}"; then
1.176 + { { echo "$as_me:$LINENO: error: conditional \"AUDIO_PULSE\" was never defined.
1.177 +Usually this means the macro was only invoked conditionally." >&5
1.178 +echo "$as_me: error: conditional \"AUDIO_PULSE\" was never defined.
1.179 +Usually this means the macro was only invoked conditionally." >&2;}
1.180 + { (exit 1); exit 1; }; }
1.181 +fi
1.182 if test -z "${AUDIO_ESOUND_TRUE}" && test -z "${AUDIO_ESOUND_FALSE}"; then
1.183 { { echo "$as_me:$LINENO: error: conditional \"AUDIO_ESOUND\" was never defined.
1.184 Usually this means the macro was only invoked conditionally." >&5
1.185 @@ -9572,6 +9681,10 @@
1.186 BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.187 BUILD_X86_64_TRUE!$BUILD_X86_64_TRUE$ac_delim
1.188 BUILD_X86_64_FALSE!$BUILD_X86_64_FALSE$ac_delim
1.189 +PULSE_CFLAGS!$PULSE_CFLAGS$ac_delim
1.190 +PULSE_LIBS!$PULSE_LIBS$ac_delim
1.191 +AUDIO_PULSE_TRUE!$AUDIO_PULSE_TRUE$ac_delim
1.192 +AUDIO_PULSE_FALSE!$AUDIO_PULSE_FALSE$ac_delim
1.193 ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
1.194 ESOUND_LIBS!$ESOUND_LIBS$ac_delim
1.195 AUDIO_ESOUND_TRUE!$AUDIO_ESOUND_TRUE$ac_delim
1.196 @@ -9615,7 +9728,7 @@
1.197 LTLIBOBJS!$LTLIBOBJS$ac_delim
1.198 _ACEOF
1.199
1.200 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 46; then
1.201 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 50; then
1.202 break
1.203 elif $ac_last_try; then
1.204 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
.